import MinesweeperSymbol from '../../../symbols/minesweeperSymbol.js';
import BTModule, { BTGridData, CheckResult } from '../data.js';
export default class MinesweeperBTModule extends BTModule {
    instr: MinesweeperSymbol;
    private cachedCheckResult?;
    constructor(instr: MinesweeperSymbol);
    checkGlobal(grid: BTGridData): CheckResult | false;
    private buildCheckAndRating;
}
